  #cloud-config
      ssh_authorized_keys:
        - ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACAQCmXQXy9yzmoHSQTluNVKtAp+5kbKul7FPFNy6Lz067p0XwAb7hKkQOHkfDXY3+s1+rUzD7Jzw0mquoFdGa89sclCC2JWTw5BdOxC6CM9DuXXs+DS3plWqTRWOZrTusedtkOljtWydYUt/umvVWm6bhz0LKRCznA45IWIlPm9emQjDf0V/4CrNKKFbdomYNcJKwblmsPgMZKYyS5XYAvBeHnXKFkyJbO1Iwh/465FN0I/cJIs4XTNvdH99tcWhAT2fNe5u2mh5MIWLTJTM5GjuQh2Kkuyba2t3qdb15QK/kqeR0lQPWiS6+oo7jZqkxp3nl3wpn3SoD4SUL96Uj9pHQ5b11BIeQhcd9gHeKTkvrLDmVAfkrzT8Kds41pO+S3xljmCO7t12Uuk2ae5s6yaNJReALvTAQSFQsp+3IXc1+zVYpwZxTKOTG4dJ15BzkywrtMuLyz6+7CGnbcKH0sJ0TRvk4CJzAA6Ojn9ZaAb82KHI9j8nardMTFNracV2NRpcm6NIYu+iogUHfwGpKfzKH66nCX5UinYJKN9J1HwoCgIKy/E7aAVCgGd9DomYJgyxRbTUwQJbpjL7gt3se2XBxQntURCUlxgwsqvxXr6MIkAvB4VFO+w7s7+aiJKbtClE5jBbjBv7P0oqRT88FXDDz7mL9WOxEgDi++0qEV1CA3Q== crowly@dangermouse.ost-linux.co.uk
   write_files:
     - path: /cloud-config.yml
       permissions: "0700"
       owner: root
       content: |
          #cloud-config
            ssh_authorized_keys:
              - ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACAQCmXQXy9yzmoHSQTluNVKtAp+5kbKul7FPFNy6Lz067p0XwAb7hKkQOHkfDXY3+s1+rUzD7Jzw0mquoFdGa89sclCC2JWTw5BdOxC6CM9DuXXs+DS3plWqTRWOZrTusedtkOljtWydYUt/umvVWm6bhz0LKRCznA45IWIlPm9emQjDf0V/4CrNKKFbdomYNcJKwblmsPgMZKYyS5XYAvBeHnXKFkyJbO1Iwh/465FN0I/cJIs4XTNvdH99tcWhAT2fNe5u2mh5MIWLTJTM5GjuQh2Kkuyba2t3qdb15QK/kqeR0lQPWiS6+oo7jZqkxp3nl3wpn3SoD4SUL96Uj9pHQ5b11BIeQhcd9gHeKTkvrLDmVAfkrzT8Kds41pO+S3xljmCO7t12Uuk2ae5s6yaNJReALvTAQSFQsp+3IXc1+zVYpwZxTKOTG4dJ15BzkywrtMuLyz6+7CGnbcKH0sJ0TRvk4CJzAA6Ojn9ZaAb82KHI9j8nardMTFNracV2NRpcm6NIYu+iogUHfwGpKfzKH66nCX5UinYJKN9J1HwoCgIKy/E7aAVCgGd9DomYJgyxRbTUwQJbpjL7gt3se2XBxQntURCUlxgwsqvxXr6MIkAvB4VFO+w7s7+aiJKbtClE5jBbjBv7P0oqRT88FXDDz7mL9WOxEgDi++0qEV1CA3Q== crowly@dangermouse.ost-linux.co.uk
             mounts:
               - ["/dev/sdb1", "/mnt", "ext4", ""]
      
             rancher:
               services:
                 rancher-server:
                   image: rancher/server:stable
                   ports:
                     - 8080:8080
                   restart: always
                   volumes:
                     - /mnt/rancher-server-mysql:/var/lib/mysql

     - path: /opt/rancher/bin/start.sh
       permissions: "0700"
       owner: root
       content: |
         #!/bin/bash
         echo y | ros install -f -c /cloud-config.yml -d /dev/sda
